/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _ITEMPIXCFG_H
#define _ITEMPIXCFG_H

#include <kdialogbase.h>

class ItemPixCfg_content;
class DDataItemBase;
class DDataItemPix;
class QString;
class KURL;
class ItemPixCfg : public KDialogBase
{
	Q_OBJECT
	public:
		ItemPixCfg(DDataItemBase* pix=0, QWidget* parent=0, const char * name=0);
		~ItemPixCfg();

		void init();

	public slots:
		void slotOk();
		void checkPix(const QString &);

	private:
		DDataItemPix* m_pixdata;
		ItemPixCfg_content* m_content;
		KURL m_url;
};

#endif // _ITEMPIXCFG_H

