/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _CANVASPOPUP_H
#define _CANVASPOPUP_H

#include <kpopupmenu.h>

class DCanvasView;

class DCanvasPopup : public KPopupMenu
{
	
	public:
		enum Action_Type
		{
			e_root = 2000,
			e_pix  = 2001,
			e_text = 2002,
			e_cut  = 2003,
			e_copy = 2004,
			e_paste    = 2005,
			e_delete   = 2006,
			e_discon_obj      = 2007,
			e_discon_tree     = 2008,
			e_discon_subtree  = 2009,
			e_unclutter       = 2010,
			e_color           = 2011,
			e_font            = 2012,
			e_properties      = 2013
		};

		DCanvasPopup(QWidget *parent);

	private:
		DCanvasView * canvas;
		
};


#endif // _CANVASPOPUP_H

