/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _DDATAITEMPIX_H
#define _DDATAITEMPIX_H

#include "DDataItemBase.h"

class KURL;
class QPixmap;
class QString;
class DDataItemPix : public DDataItemBase
{
	public:
		DDataItemPix(int);
		~DDataItemPix();

		QPixmap m_pix;
		QPixmap m_pixtb;

		QString m_legend;
		
		QString m_url;

		void loadPix(const QString & file);
		
		// the thumb size will be part of the settings in the future
		// a method is needed for resizing the thumbnail properly
		void updateThumb();

		virtual void printData(QTextStream&);
};

#endif // _DDATAITEMPIX_H

