/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qcolor.h>

#include <klocale.h>

#include "../gui/settings.h"
#include "DDataItemText.h"

DDataItemText::DDataItemText(int i) : DDataItemBase(i)
{
	m_type = DItem::Text;
	m_text = i18n("Add some text");
	initColor();
}


DDataItemText::~DDataItemText()
{

}

void DDataItemText::printData(QTextStream& s)
{
        DDataItemBase::printData(s);
	s<<DDataItemBase::printXMLTag("text", m_text, 3);
}


