/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _DITEM_H
#define _DITEM_H

#include <qobject.h>

class DItem;
class DItem
{
	public:
		// TODO :)
		enum itype {Root=0, Text=1, Pix=2, Paragraph=3, Url=4, Drawing=5, Idea=6, File=7, Unknown=8};
		
		DItem(int);
		virtual ~DItem();

		itype Type() const;
		int Id() const;
	
	private:
		int m_id;

	protected:
		itype m_type;
};

class QString;
QString TypeName(DItem::itype);
DItem::itype TypeFromName(const QString &);

#endif // _DITEM_H

